libnvme(2)

NAME
enum nvmf_trtype - Transport Type codes for Discovery Log Page entry TRTYPE field

SYNOPSIS
enum nvmf_trtype {
NVMF_TRTYPE_UNSPECIFIED ,
NVMF_TRTYPE_RDMA ,
NVMF_TRTYPE_FC ,
NVMF_TRTYPE_TCP ,
NVMF_TRTYPE_LOOP ,
NVMF_TRTYPE_MAX

};

Constants

NVMF_TRTYPE_UNSPECIFIED
    Not indicated

NVMF_TRTYPE_RDMA
    RDMA

NVMF_TRTYPE_FC
    Fibre Channel

NVMF_TRTYPE_TCP
    TCP

NVMF_TRTYPE_LOOP
    Intra-host Transport (i.e., loopback), reserved for host usage.

NVMF_TRTYPE_MAX
    Maximum value for enum nvmf_trtype